extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Promociones"
    - var CabeceraListado = ["Promoción", "Título"]
    - var CantidadListado = "{{ tPromocion.length }}"
    - var TituloDatos = "Detalles de Promoción"
    - var TamanoColeccion = "tPromocion.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tPromocionFor of tPromocion | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Promocion_Eliminar(tPromocionFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Promocion(tPromocionFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tPromocionFor.Codpromocion }}
        td
            h6.text-xs.text-nowrap {{ tPromocionFor.Titulo }}

block ContenidoDatosCabecera
   app-fw-promocion-cabecera([(Promocion)]="tPromocionActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-promocion-detalles([(Promocion)]="tPromocionActual",
                                    [(ManejarFechas)]="tManejarFecha",
                                    [(ManejarImagen)]="tManejarImagen",
                                    [Configuracion]="tConfiguracion",
                                    [Estatus]="tEstatus")
